=== debian/changelog ===
epics-base (7.0.7+dfsg1-5) unstable; urgency=medium

  * d/p/0002-skip-expected-failing-test.patch: Updated
    The buildd network configuration is not equivalent to the one from salsa
    So I need to upload in order to discovers these bugs.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 04 Aug 2023 11:59:23 +0200

epics-base (7.0.7+dfsg1-4) unstable; urgency=medium

  * d/rules: skip the flaky tests via the upstream CI variable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 04 Aug 2023 09:26:41 +0200

epics-base (7.0.7+dfsg1-3) unstable; urgency=medium

  *  d/p/0002-skip-expected-failing-test.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Aug 2023 17:53:01 +0200

epics-base (7.0.7+dfsg1-2) unstable; urgency=medium

  * source ony upload

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Aug 2023 10:31:16 +0200

epics-base (7.0.7+dfsg1-1) unstable; urgency=medium

  [ Roland Mas ]
  * Add autopkgtests.

  [ Picca Frédéric-Emmanuel ]
  * update the watch file and remove .gitattributes
  * New upstream version 7.0.7+dfsg1

  { Neil Williams]
  * Map the dpkg-buildflags to the EPICS-specific build flags.
  * Overload CFLAGS as EPICS fails to expose CPPFLAGS.
  * Package the documentation, DBD files, perl module, executables and
  * systemd service support to a new epics-base package.
  * Add headers and pkg-config support to new epics-dev package.
  * Retain the existing long library binary package names due to upstream
  * SONAME handling. Add lintian override for the additional libraries in
  * the epics-base binary package.
  * Run the in-build tests in verbose mode to identify which tests fail.
  * Add README files to epics-doc
  * Add README files for EPICS in Debian.
  * Temporarily allow blhc and reprotest to fail due to problems in the unit
  * tests which are vulnerable to environment variables.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 Aug 2023 17:39:11 +0200

epics-base (7.0.3.1-4) unstable; urgency=medium

  * Team upload.
  * Bug fix: "FTBFS without network access", thanks to Sven Mueller
    (Closes: #1016958), with one trivial patch to the test regex and a few
    simple patches skipping tests that require network access.

 -- Roland Mas <lolando@debian.org>  Tue, 07 Mar 2023 15:03:55 +0100
