## epics-base 7.0.8+dfsg1

=== debian/changelog ===
epics-base (7.0.8+dfsg1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/control: remove myself from uploaders

  [ Andrius Merkys ]
  * Fix pkgconfig file location in epics-dev binary package.
  * Bug fix: "epics-base.pc is broken in epics-dev package", thanks to
    Matwey V. Kornilov (Closes: #1059706).

  [ Picca Frédéric-Emmanuel ]
  * New upstream release.
  * Bug fix: "FTBFS on amd64, arm64", thanks to Chris Hofstaedtler
    (Closes: #1060260).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Mar 2024 13:32:42 +0100
