=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
- Sebastien Delafond <seb@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2
